org.apache.sling.resource.collection.impl.util

## Class ResourceCollectionUtil

- java.lang.Object
- - org.apache.sling.resource.collection.impl.util.ResourceCollectionUtil

    public class ResourceCollectionUtil
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ResourceCollectionUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `createUniqueChildName(org.apache.sling.api.resource.Resource resource, String name)` Create a unique name for a child of the `resource`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceCollectionUtil

    public ResourceCollectionUtil()

### Method Detail

#### createUniqueChildName

    public static String createUniqueChildName(org.apache.sling.api.resource.Resource resource,
                                               String name)

Create a unique name for a child of the `resource`. Generates a unique name and test if child already exists. If name is already existing, iterate until a unique one is found

Parameters:
  `resource` - parent resource
  `name` - the name to check
Returns:
  a unique label string